Package Details: mssh-git 2.2.r0.g9221061-1

Git Clone URL: https://aur.archlinux.org/mssh-git.git (read-only, click to copy)
Package Base: mssh-git
Description: Tool to administrate multiple servers at once
Upstream URL: http://baloo.dyndns.biz/
Licenses: BSD
Conflicts: mssh
Provides: mssh
Submitter: frandieguez
Maintainer: frandieguez
Last Packager: frandieguez
Votes: 3
Popularity: 0.008858
First Submitted: 2015-11-20 23:07 (UTC)
Last Updated: 2016-11-29 22:23 (UTC)

Latest Comments

frandieguez commented on 2019-02-08 22:46 (UTC) (edited on 2019-02-09 16:19 (UTC) by frandieguez)

Given the fact that original sources are gone. I'm trying to search for other sources before using the deb package. So, with this new approach I found https://hgarcia.es/git/Projects/debian-mssh.git but it fails to compile due to:

mssh-terminal.c:70:5: fatal error: 'vte_terminal_spawn_sync' is deprecated [-Wdeprecated-declarations] vte_terminal_spawn_sync(VTE_TERMINAL(terminal), ^ /usr/include/vte-2.91/vte/vtedeprecated.h:80:1: note: 'vte_terminal_spawn_sync' has been explicitly marked deprecated here _VTE_DEPRECATED

I'm not particularly fond of using deb, but reaching this point... Could you please pass me your PKGBUILD using the deb?

frandieguez commented on 2019-02-08 21:44 (UTC)

@wdeviers thanks for the contribution, I'll check your possible solutions and update the package

wdeviers commented on 2019-02-08 20:03 (UTC)

The original GIT repo for this package has disappeared from the internet, at least for a few days. I've ported the package to use Ubuntu .deb sources and patches to run on a modern machine, though fair warning: this is only my second attempt at making a PKGBUILD. It works okay on amd64. Any interest in replacing it?

frandieguez commented on 2016-11-29 22:24 (UTC)

Sorry for the delay @Erebe, I've included your solution for compile error. Now it should be fixed

Erebe commented on 2016-11-23 15:08 (UTC)

Adding clang to makedepends and doing CC=clang ./configure ... resolve the build failure

d3day commented on 2016-09-26 20:25 (UTC)

Not compiling with following message: n file included from /usr/include/glib-2.0/gobject/gobject.h:26:0, from /usr/include/glib-2.0/gobject/gbinding.h:29, from /usr/include/glib-2.0/glib-object.h:23, from /usr/include/glib-2.0/gio/gioenums.h:28, from /usr/include/glib-2.0/gio/giotypes.h:28, from /usr/include/glib-2.0/gio/gio.h:26, from /usr/include/gtk-3.0/gdk/gdkapplaunchcontext.h:28, from /usr/include/gtk-3.0/gdk/gdk.h:32, from /usr/include/gtk-3.0/gtk/gtk.h:30, from mssh.c:10: /usr/include/glib-2.0/gobject/gparam.h:166:33: error: enumerator value for ‘G_PARAM_DEPRECATED’ is not an integer constant expression [-Wpedantic] G_PARAM_DEPRECATED = 1 << 31 ^ compilation terminated due to -Wfatal-errors. make[2]: *** [Makefile:372: mssh.o] Error 1 make[2]: Leaving directory '/tmp/yaourt-tmp-vagrant/aur-mssh-git/src/mssh-git/src' make[1]: *** [Makefile:474: all-recursive] Error 1 make[1]: Leaving directory '/tmp/yaourt-tmp-vagrant/aur-mssh-git/src/mssh-git' make: *** [Makefile:353: all] Error 2